
Application: gvSIG desktop - gvSIG bugs #3005
Locator by attribute field combo doesn't show all the possible values
11/17/2014 08:56 AM - Manuel Madrid

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Daniel Martinez
Category: Document view
Target version: 2.3.0-2408 (rev. org.gvsig.desktop-2.0.111)
Severity: Minor Add-on version:
gvSIG version: 2.1.0 Add-on build:
gvSIG build: 2254 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

1. Load the attached layer (municipiosAndal.shp)
2. Set the layer active.
3. Open its attribute table.
4. Sort ascending by the field "name". Write down the first few values.
5. Run the Locator by attribute tool.
6. Select the field "name".
7. Click on the "Value" combo and check that some of the values are missing.

Associated revisions
Revision 42443 - 11/02/2015 11:12 AM - Daniel Martinez

refs #3005 Fixed bug: removed restriction to don't show more than 200 elements in combobox. Improved comparator to compare correctly accented
strings.

History
#1 - 10/26/2015 12:15 PM - Álvaro Anguix
- Target version set to 98
- Assignee set to Daniel Martinez

#2 - 10/30/2015 12:56 PM - Daniel Martinez
- Status changed from New to In progress

#3 - 11/02/2015 11:14 AM - Daniel Martinez
- Target version changed from 98 to 2.3.0-2408 (rev. org.gvsig.desktop-2.0.111)
- Status changed from In progress to Fixed

Removed restriction to show more than 200 elements.
Improved comparator to work properly with accented strings.

#4 - 11/05/2015 11:29 AM - Álvaro Anguix
- Status changed from Fixed to Closed
Files
municipiosAndal.zip 1.05 MB 11/17/2014 Manuel Madrid
